--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "Delete records from table and return # deleted."
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "*select_cond*:"
    body: Proc containing code to select records.
  type: :NOTE
full_name: KirbyBase::KBTable#delete
is_singleton: false
name: delete
params: (&select_cond)
visibility: public
